import styled from 'styled-components/macro'

type ButtonProps = {
  pink?: boolean
}

export const Button = styled.a<ButtonProps>`
  display: inline-block;
  border-radius: 3px;
  padding: 0.5rem 0;
  margin: 0.5rem 1rem;
  width: 11rem;
  background: black;
  color: white;
  border: 2px solid white;

  ${(props) =>
    props.pink &&
    `
      background: pink;
      color: black;
    `}
`
